Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4395)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4564)
@@ -2,58 +2,58 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 312 Missing: 130
-ar.js      Found: 442 Missing: 0
-bg.js      Found: 305 Missing: 137
-bn.js      Found: 307 Missing: 135
-bs.js      Found: 210 Missing: 232
-ca.js      Found: 435 Missing: 7
-cs.js      Found: 442 Missing: 0
-da.js      Found: 435 Missing: 7
-de.js      Found: 435 Missing: 7
-el.js      Found: 311 Missing: 131
-en-au.js   Found: 395 Missing: 47
-en-ca.js   Found: 395 Missing: 47
-en-uk.js   Found: 395 Missing: 47
-eo.js      Found: 282 Missing: 160
-es.js      Found: 435 Missing: 7
-et.js      Found: 326 Missing: 116
-eu.js      Found: 435 Missing: 7
-fa.js      Found: 327 Missing: 115
-fi.js      Found: 325 Missing: 117
-fo.js      Found: 326 Missing: 116
-fr-ca.js   Found: 327 Missing: 115
-fr.js      Found: 434 Missing: 8
-gl.js      Found: 308 Missing: 134
-gu.js      Found: 326 Missing: 116
-he.js      Found: 442 Missing: 0
-hi.js      Found: 327 Missing: 115
-hr.js      Found: 435 Missing: 7
-hu.js      Found: 326 Missing: 116
-is.js      Found: 332 Missing: 110
-it.js      Found: 434 Missing: 8
-ja.js      Found: 434 Missing: 8
-km.js      Found: 299 Missing: 143
-ko.js      Found: 318 Missing: 124
-lt.js      Found: 331 Missing: 111
-lv.js      Found: 308 Missing: 134
-mn.js      Found: 326 Missing: 116
-ms.js      Found: 287 Missing: 155
-nb.js      Found: 325 Missing: 117
-nl.js      Found: 435 Missing: 7
-no.js      Found: 325 Missing: 117
-pl.js      Found: 442 Missing: 0
-pt-br.js   Found: 434 Missing: 8
-pt.js      Found: 307 Missing: 135
-ro.js      Found: 326 Missing: 116
-ru.js      Found: 332 Missing: 110
-sk.js      Found: 327 Missing: 115
-sl.js      Found: 325 Missing: 117
-sr-latn.js Found: 301 Missing: 141
-sr.js      Found: 301 Missing: 141
-sv.js      Found: 324 Missing: 118
-th.js      Found: 312 Missing: 130
-tr.js      Found: 332 Missing: 110
-uk.js      Found: 435 Missing: 7
-vi.js      Found: 435 Missing: 7
-zh-cn.js   Found: 435 Missing: 7
-zh.js      Found: 435 Missing: 7
+bn.js      Found: 307 Missing: 148
+nl.js      Found: 435 Missing: 20
+fi.js      Found: 325 Missing: 130
+sr-latn.js Found: 301 Missing: 154
+lv.js      Found: 308 Missing: 147
+zh.js      Found: 435 Missing: 20
+ca.js      Found: 435 Missing: 20
+en-ca.js   Found: 395 Missing: 60
+pt.js      Found: 307 Missing: 148
+da.js      Found: 435 Missing: 20
+sr.js      Found: 301 Missing: 154
+tr.js      Found: 332 Missing: 123
+fa.js      Found: 327 Missing: 128
+bg.js      Found: 305 Missing: 150
+de.js      Found: 435 Missing: 20
+sv.js      Found: 324 Missing: 131
+ja.js      Found: 434 Missing: 21
+he.js      Found: 442 Missing: 13
+pt-br.js   Found: 434 Missing: 21
+hi.js      Found: 327 Missing: 128
+eo.js      Found: 282 Missing: 173
+gu.js      Found: 326 Missing: 129
+mn.js      Found: 326 Missing: 129
+en-uk.js   Found: 395 Missing: 60
+sl.js      Found: 325 Missing: 130
+af.js      Found: 312 Missing: 143
+fr.js      Found: 434 Missing: 21
+it.js      Found: 434 Missing: 21
+cs.js      Found: 442 Missing: 13
+hr.js      Found: 435 Missing: 20
+fr-ca.js   Found: 327 Missing: 128
+km.js      Found: 299 Missing: 156
+en-au.js   Found: 395 Missing: 60
+lt.js      Found: 331 Missing: 124
+el.js      Found: 311 Missing: 144
+ro.js      Found: 326 Missing: 129
+is.js      Found: 332 Missing: 123
+ko.js      Found: 318 Missing: 137
+vi.js      Found: 435 Missing: 20
+ru.js      Found: 332 Missing: 123
+ms.js      Found: 287 Missing: 168
+nb.js      Found: 325 Missing: 130
+fo.js      Found: 326 Missing: 129
+uk.js      Found: 435 Missing: 20
+es.js      Found: 435 Missing: 20
+ar.js      Found: 442 Missing: 13
+zh-cn.js   Found: 435 Missing: 20
+hu.js      Found: 326 Missing: 129
+sk.js      Found: 327 Missing: 128
+eu.js      Found: 435 Missing: 20
+gl.js      Found: 308 Missing: 147
+th.js      Found: 312 Missing: 143
+no.js      Found: 325 Missing: 130
+pl.js      Found: 442 Missing: 13
+et.js      Found: 326 Missing: 129
+bs.js      Found: 210 Missing: 245