Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 4573)
+++ CKEditor/trunk/CHANGES.html	(revision 4574)
@@ -40,5 +40,4 @@
 		New features:</p>
 	<ul>
-		<li><a href="http://dev.fckeditor.net/ticket/3881">#3881</a> : Added color dialog for 'more color' option in color buttons.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/2885">#2885</a> : Added 'div' dialog and corresponding context menu options.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4341">#4341</a> : Added the 'showborder' plugin.</li>
@@ -85,10 +84,4 @@
 		<li><a href="http://dev.fckeditor.net/ticket/3165">#3165</a> : Fixed enter key in empty list item before nested one result in collapsed line.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4527">#4527</a> : Fixed checkbox generate invalid 'checked' attribute.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/1659">#1659</a> : Fixed unable to click below content to start editing in IE with 'config.docType' setting to standard compliant.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/3933">#3933</a> : Fixed extra &lt;br&gt; left at the end of document when the last element is a table.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4461">#4461</a> : Fixed toolbar separator line along side combo penetrate toolbar height.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4596">#4596</a> : Fixed image re-size lock buttons aren't accessible in high-contrast mode.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4676">#4676</a> : Fixed editing tables using table properties dialog overwrites original style values.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4714">#4714</a> : Fixed IE6 JavaScript error when editing flash by commit 'Flash' dialog.</li>
 	</ul>
 	<h3>
Index: CKEditor/trunk/_source/plugins/colorbutton/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 4573)
+++ CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 4574)
@@ -62,19 +62,6 @@
 					if ( color == '?' )
 					{
-						var applyColorStyle = arguments.callee;
-						function onColorDialogClose( evt )
-						{
-							this.removeListener( 'ok', onColorDialogClose );
-							this.removeListener( 'cancel', onColorDialogClose );
-
-							evt.name == 'ok' && applyColorStyle( this.getContentElement( 'picker', 'selectedColor' ).getValue(), type );
-						}
-						
-						editor.openDialog( 'colordialog', function()
-						{
-							this.on( 'ok', onColorDialogClose );
-							this.on( 'cancel', onColorDialogClose );
-						} );
-
+						// TODO : Implement the colors dialog.
+						// editor.openDialog( '' );
 						return;
 					}
@@ -162,5 +149,5 @@
  * config.colorButton_enableMore = false;
  */
-CKEDITOR.config.colorButton_enableMore = true;
+CKEDITOR.config.colorButton_enableMore = false;
 
 /**
Index: CKEditor/trunk/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 4573)
+++ CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 4574)
@@ -2712,5 +2712,4 @@
 		 * Loads and opens a registered dialog.
 		 * @param {String} dialogName The registered name of the dialog.
-		 * @param {Function} callback The function to be invoked after dialog instance created.  
 		 * @see CKEDITOR.dialog.add
 		 * @example
@@ -2718,5 +2717,5 @@
 		 * @returns {CKEDITOR.dialog} The dialog object corresponding to the dialog displayed. null if the dialog name is not registered.
 		 */
-		openDialog : function( dialogName, callback )
+		openDialog : function( dialogName )
 		{
 			var dialogDefinitions = CKEDITOR.dialog._.dialogDefinitions[ dialogName ];
@@ -2731,5 +2730,4 @@
 					( storedDialogs[ dialogName ] = new CKEDITOR.dialog( this, dialogName ) );
 
-				callback && callback.call( dialog, dialog );
 				dialog.show();
 
@@ -2750,5 +2748,5 @@
 					if ( typeof CKEDITOR.dialog._.dialogDefinitions[ dialogName ] != 'function' )
 							CKEDITOR.dialog._.dialogDefinitions[ dialogName ] =  'failed';
-					me.openDialog( dialogName, callback );
+					me.openDialog( dialogName );
 					body.setStyle( 'cursor', cursor );
 				} );