Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4575)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4646)
@@ -2,58 +2,58 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 312 Missing: 130
-ar.js      Found: 442 Missing: 0
-bg.js      Found: 305 Missing: 137
-bn.js      Found: 307 Missing: 135
-bs.js      Found: 210 Missing: 232
-ca.js      Found: 435 Missing: 7
-cs.js      Found: 442 Missing: 0
-da.js      Found: 435 Missing: 7
-de.js      Found: 435 Missing: 7
-el.js      Found: 311 Missing: 131
-en-au.js   Found: 395 Missing: 47
-en-ca.js   Found: 395 Missing: 47
-en-uk.js   Found: 395 Missing: 47
-eo.js      Found: 282 Missing: 160
-es.js      Found: 435 Missing: 7
-et.js      Found: 326 Missing: 116
-eu.js      Found: 435 Missing: 7
-fa.js      Found: 327 Missing: 115
-fi.js      Found: 325 Missing: 117
-fo.js      Found: 326 Missing: 116
-fr-ca.js   Found: 327 Missing: 115
-fr.js      Found: 434 Missing: 8
-gl.js      Found: 308 Missing: 134
-gu.js      Found: 326 Missing: 116
-he.js      Found: 442 Missing: 0
-hi.js      Found: 327 Missing: 115
-hr.js      Found: 435 Missing: 7
-hu.js      Found: 326 Missing: 116
-is.js      Found: 332 Missing: 110
-it.js      Found: 434 Missing: 8
-ja.js      Found: 434 Missing: 8
-km.js      Found: 299 Missing: 143
-ko.js      Found: 318 Missing: 124
-lt.js      Found: 331 Missing: 111
-lv.js      Found: 308 Missing: 134
-mn.js      Found: 326 Missing: 116
-ms.js      Found: 287 Missing: 155
-nb.js      Found: 325 Missing: 117
-nl.js      Found: 435 Missing: 7
-no.js      Found: 325 Missing: 117
-pl.js      Found: 442 Missing: 0
-pt-br.js   Found: 434 Missing: 8
-pt.js      Found: 307 Missing: 135
-ro.js      Found: 326 Missing: 116
-ru.js      Found: 332 Missing: 110
-sk.js      Found: 327 Missing: 115
-sl.js      Found: 325 Missing: 117
-sr-latn.js Found: 301 Missing: 141
-sr.js      Found: 301 Missing: 141
-sv.js      Found: 324 Missing: 118
-th.js      Found: 312 Missing: 130
-tr.js      Found: 332 Missing: 110
-uk.js      Found: 435 Missing: 7
-vi.js      Found: 435 Missing: 7
-zh-cn.js   Found: 435 Missing: 7
-zh.js      Found: 435 Missing: 7
+bn.js      Found: 307 Missing: 137
+nl.js      Found: 435 Missing: 9
+fi.js      Found: 325 Missing: 119
+sr-latn.js Found: 301 Missing: 143
+lv.js      Found: 308 Missing: 136
+zh.js      Found: 435 Missing: 9
+ca.js      Found: 435 Missing: 9
+en-ca.js   Found: 395 Missing: 49
+pt.js      Found: 307 Missing: 137
+da.js      Found: 435 Missing: 9
+sr.js      Found: 301 Missing: 143
+tr.js      Found: 332 Missing: 112
+fa.js      Found: 327 Missing: 117
+bg.js      Found: 305 Missing: 139
+de.js      Found: 435 Missing: 9
+sv.js      Found: 324 Missing: 120
+ja.js      Found: 434 Missing: 10
+he.js      Found: 442 Missing: 2
+pt-br.js   Found: 434 Missing: 10
+hi.js      Found: 327 Missing: 117
+eo.js      Found: 282 Missing: 162
+gu.js      Found: 326 Missing: 118
+mn.js      Found: 326 Missing: 118
+en-uk.js   Found: 395 Missing: 49
+sl.js      Found: 325 Missing: 119
+af.js      Found: 312 Missing: 132
+fr.js      Found: 434 Missing: 10
+it.js      Found: 434 Missing: 10
+cs.js      Found: 442 Missing: 2
+hr.js      Found: 435 Missing: 9
+fr-ca.js   Found: 327 Missing: 117
+km.js      Found: 299 Missing: 145
+en-au.js   Found: 395 Missing: 49
+lt.js      Found: 331 Missing: 113
+el.js      Found: 311 Missing: 133
+ro.js      Found: 326 Missing: 118
+is.js      Found: 332 Missing: 112
+ko.js      Found: 318 Missing: 126
+vi.js      Found: 435 Missing: 9
+ru.js      Found: 332 Missing: 112
+ms.js      Found: 287 Missing: 157
+nb.js      Found: 325 Missing: 119
+fo.js      Found: 326 Missing: 118
+uk.js      Found: 435 Missing: 9
+es.js      Found: 435 Missing: 9
+ar.js      Found: 442 Missing: 2
+zh-cn.js   Found: 435 Missing: 9
+hu.js      Found: 326 Missing: 118
+sk.js      Found: 327 Missing: 117
+eu.js      Found: 435 Missing: 9
+gl.js      Found: 308 Missing: 136
+th.js      Found: 312 Missing: 132
+no.js      Found: 325 Missing: 119
+pl.js      Found: 442 Missing: 2
+et.js      Found: 326 Missing: 118
+bs.js      Found: 210 Missing: 234