Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 4646)
+++ CKEditor/trunk/CHANGES.html	(revision 4655)
@@ -93,4 +93,7 @@
 		<li><a href="http://dev.fckeditor.net/ticket/4733">#4733</a> : Fixed dialog opening sometimes hang up Firefox and Safari.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4498">#4498</a> : Fixed toolbar collapse button missing tooltip.</li>
+		<li>Updated the following language files:<ul>
+			<li><a href="http://dev.fckeditor.net/ticket/4371">#4371</a> : Hebrew.</li>
+		</ul></li>
 	</ul>
 	<h3>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4646)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4655)
@@ -2,58 +2,58 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
+af.js      Found: 312 Missing: 132
+ar.js      Found: 442 Missing: 2
+bg.js      Found: 305 Missing: 139
 bn.js      Found: 307 Missing: 137
-nl.js      Found: 435 Missing: 9
+bs.js      Found: 210 Missing: 234
+ca.js      Found: 435 Missing: 9
+cs.js      Found: 442 Missing: 2
+da.js      Found: 435 Missing: 9
+de.js      Found: 435 Missing: 9
+el.js      Found: 311 Missing: 133
+en-au.js   Found: 395 Missing: 49
+en-ca.js   Found: 395 Missing: 49
+en-uk.js   Found: 395 Missing: 49
+eo.js      Found: 282 Missing: 162
+es.js      Found: 435 Missing: 9
+et.js      Found: 326 Missing: 118
+eu.js      Found: 435 Missing: 9
+fa.js      Found: 327 Missing: 117
 fi.js      Found: 325 Missing: 119
-sr-latn.js Found: 301 Missing: 143
+fo.js      Found: 326 Missing: 118
+fr-ca.js   Found: 327 Missing: 117
+fr.js      Found: 434 Missing: 10
+gl.js      Found: 308 Missing: 136
+gu.js      Found: 326 Missing: 118
+he.js      Found: 444 Missing: 0
+hi.js      Found: 327 Missing: 117
+hr.js      Found: 435 Missing: 9
+hu.js      Found: 326 Missing: 118
+is.js      Found: 332 Missing: 112
+it.js      Found: 434 Missing: 10
+ja.js      Found: 434 Missing: 10
+km.js      Found: 299 Missing: 145
+ko.js      Found: 318 Missing: 126
+lt.js      Found: 331 Missing: 113
 lv.js      Found: 308 Missing: 136
-zh.js      Found: 435 Missing: 9
-ca.js      Found: 435 Missing: 9
-en-ca.js   Found: 395 Missing: 49
-pt.js      Found: 307 Missing: 137
-da.js      Found: 435 Missing: 9
-sr.js      Found: 301 Missing: 143
-tr.js      Found: 332 Missing: 112
-fa.js      Found: 327 Missing: 117
-bg.js      Found: 305 Missing: 139
-de.js      Found: 435 Missing: 9
-sv.js      Found: 324 Missing: 120
-ja.js      Found: 434 Missing: 10
-he.js      Found: 442 Missing: 2
-pt-br.js   Found: 434 Missing: 10
-hi.js      Found: 327 Missing: 117
-eo.js      Found: 282 Missing: 162
-gu.js      Found: 326 Missing: 118
 mn.js      Found: 326 Missing: 118
-en-uk.js   Found: 395 Missing: 49
-sl.js      Found: 325 Missing: 119
-af.js      Found: 312 Missing: 132
-fr.js      Found: 434 Missing: 10
-it.js      Found: 434 Missing: 10
-cs.js      Found: 442 Missing: 2
-hr.js      Found: 435 Missing: 9
-fr-ca.js   Found: 327 Missing: 117
-km.js      Found: 299 Missing: 145
-en-au.js   Found: 395 Missing: 49
-lt.js      Found: 331 Missing: 113
-el.js      Found: 311 Missing: 133
-ro.js      Found: 326 Missing: 118
-is.js      Found: 332 Missing: 112
-ko.js      Found: 318 Missing: 126
-vi.js      Found: 435 Missing: 9
-ru.js      Found: 332 Missing: 112
 ms.js      Found: 287 Missing: 157
 nb.js      Found: 325 Missing: 119
-fo.js      Found: 326 Missing: 118
-uk.js      Found: 435 Missing: 9
-es.js      Found: 435 Missing: 9
-ar.js      Found: 442 Missing: 2
-zh-cn.js   Found: 435 Missing: 9
-hu.js      Found: 326 Missing: 118
-sk.js      Found: 327 Missing: 117
-eu.js      Found: 435 Missing: 9
-gl.js      Found: 308 Missing: 136
-th.js      Found: 312 Missing: 132
+nl.js      Found: 435 Missing: 9
 no.js      Found: 325 Missing: 119
 pl.js      Found: 442 Missing: 2
-et.js      Found: 326 Missing: 118
-bs.js      Found: 210 Missing: 234
+pt-br.js   Found: 434 Missing: 10
+pt.js      Found: 307 Missing: 137
+ro.js      Found: 326 Missing: 118
+ru.js      Found: 332 Missing: 112
+sk.js      Found: 327 Missing: 117
+sl.js      Found: 325 Missing: 119
+sr-latn.js Found: 301 Missing: 143
+sr.js      Found: 301 Missing: 143
+sv.js      Found: 324 Missing: 120
+th.js      Found: 312 Missing: 132
+tr.js      Found: 332 Missing: 112
+uk.js      Found: 435 Missing: 9
+vi.js      Found: 435 Missing: 9
+zh-cn.js   Found: 435 Missing: 9
+zh.js      Found: 435 Missing: 9
Index: CKEditor/trunk/_source/lang/he.js
===================================================================
--- CKEditor/trunk/_source/lang/he.js	(revision 4646)
+++ CKEditor/trunk/_source/lang/he.js	(revision 4655)
@@ -52,5 +52,5 @@
 	superscript		: 'כתיב עליון',
 	horizontalrule	: 'הוספת קו אופקי',
-	pagebreak		: 'הוסף שבירת דף',
+	pagebreak		: 'הוספת שבירת דף',
 	unlink			: 'הסרת הקישור',
 	undo			: 'ביטול צעד אחרון',
@@ -84,5 +84,5 @@
 		langCode		: 'קוד שפה',
 		longDescr		: 'קישור לתיאור מפורט',
-		cssClass		: 'גיליונות עיצוב קבוצות',
+		cssClass		: 'מחלקת עיצוב (CSS Class)',
 		advisoryTitle	: 'כותרת מוצעת',
 		cssStyle		: 'סגנון',
@@ -91,7 +91,7 @@
 		generalTab		: 'כללי',
 		advancedTab		: 'אפשרויות מתקדמות',
-		validateNumberFailed	: 'הערך חייב להיות מספר.',
+		validateNumberFailed	: 'הערך חייב להיות מספרי.',
 		confirmNewPage	: 'כל השינויים שלא נשמרו יאבדו. האם להעלות דף חדש?',
-		confirmCancel	: 'חלק מהאפשרויות שונו, האם לסגור את הדיאלוג. ?',
+		confirmCancel	: 'חלק מהאפשרויות שונו, האם לסגור את הדיאלוג?',
 
 		// Put the voice-only part of the label in the span.
@@ -110,5 +110,5 @@
 	{
 		toolbar		: 'הוספת/עריכת קישור',
-		menu		: 'עריכת קישור',
+		menu		: 'מאפייני קישור',
 		title		: 'קישור',
 		info		: 'מידע על הקישור',
@@ -149,5 +149,5 @@
 		acccessKey		: 'מקש גישה',
 		name			: 'שם',
-		langCode		: 'כיוון שפה',
+		langCode		: 'קוד שפה',
 		tabIndex		: 'מספר טאב',
 		advisoryTitle	: 'כותרת מוצעת',
@@ -163,6 +163,6 @@
 		emailBody		: 'גוף ההודעה',
 		noAnchors		: '(אין עוגנים זמינים בדף)',
-		noUrl			: 'נא להקליד את כתובת הקישור (URL)',
-		noEmail			: 'נא להקליד את כתובת הדוא\'\'ל'
+		noUrl			: 'יש להקליד את כתובת הקישור (URL)',
+		noEmail			: 'יש להקליד את כתובת הדוא\'\'ל'
 	},
 
@@ -174,5 +174,5 @@
 		title		: 'מאפייני נקודת עיגון',
 		name		: 'שם לנקודת עיגון',
-		errorName	: 'אנא הזן שם לנקודת עיגון'
+		errorName	: 'יש להזין שם לנקודת עיגון'
 	},
 
@@ -180,5 +180,5 @@
 	findAndReplace :
 	{
-		title				: 'חפש והחלף',
+		title				: 'חיפוש והחלפה',
 		find				: 'חיפוש',
 		replace				: 'החלפה',
@@ -186,5 +186,5 @@
 		replaceWith			: 'החלפה במחרוזת:',
 		notFoundMsg			: 'הטקסט המבוקש לא נמצא.',
-		matchCase			: 'התאמת סוג אותיות (Case)',
+		matchCase			: 'הבחנה בין אותיות רשיות לקטנות (Case)',
 		matchWord			: 'התאמה למילה המלאה',
 		matchCyclic			: 'התאמה מחזורית',
@@ -197,6 +197,6 @@
 	{
 		toolbar		: 'טבלה',
-		title		: 'תכונות טבלה',
-		menu		: 'תכונות טבלה',
+		title		: 'מאפייני טבלה',
+		menu		: 'מאפייני טבלה',
 		deleteTable	: 'מחק טבלה',
 		rows		: 'שורות',
@@ -221,27 +221,27 @@
 		headersRow		: 'שורה ראשונה',
 		headersBoth		: 'שניהם',
-		invalidRows		: 'מספר השורות חייב להיות מספר גדול מ 0.',
-		invalidCols		: 'מספר העמודות חייב להיות מספר גדול מ 0.',
-		invalidBorder	: 'גודל מסגרת חייב להיות מספר.',
-		invalidWidth	: 'רוחה טבלה חייב להיות רוחב.',
-		invalidHeight	: 'גובה טבלה חייב להיות מספר.',
-		invalidCellSpacing	: 'ריווח תאים חייב להיות מספר.',
-		invalidCellPadding	: 'ריפוד תאים חייב להיות מספר.',
+		invalidRows		: 'שדה מספר השורות חייב להיות מספר גדול מ 0.',
+		invalidCols		: 'שדה מספר העמודות חייב להיות מספר גדול מ 0.',
+		invalidBorder	: 'שדה גודל המסגרת חייב להיות מספר.',
+		invalidWidth	: 'שדה רוחב הטבלה חייב להיות רוחב.',
+		invalidHeight	: 'שדה גובה הטבלה חייב להיות מספר.',
+		invalidCellSpacing	: 'שדה ריווח התאים חייב להיות מספר.',
+		invalidCellPadding	: 'שדה ריפוד התאים חייב להיות מספר.',
 
 		cell :
 		{
-			menu			: 'תא',
-			insertBefore	: 'הוסף תא אחרי',
-			insertAfter		: 'הוסף תא אחרי',
+			menu			: 'מאפייני תא',
+			insertBefore	: 'הוספת תא לפני',
+			insertAfter		: 'הוספת תא אחרי',
 			deleteCell		: 'מחיקת תאים',
 			merge			: 'מיזוג תאים',
 			mergeRight		: 'מזג ימינה',
 			mergeDown		: 'מזג למטה',
-			splitHorizontal	: 'פצל תא אופקית',
-			splitVertical	: 'פצל תא אנכית',
+			splitHorizontal	: 'פיצלו תא אופקית',
+			splitVertical	: 'פיצול תא אנכית',
 			title			: 'תכונות התא',
-			cellType		: 'סוג תא',
-			rowSpan			: 'מתיחת שורות',
-			colSpan			: 'מתיחת תאים',
+			cellType		: 'סוג התא',
+			rowSpan			: 'מתיחת השורות',
+			colSpan			: 'מתיחת התאים',
 			wordWrap		: 'מניעת גלישת שורות',
 			hAlign			: 'יישור אופקי',
@@ -257,8 +257,8 @@
 			yes				: 'כן',
 			no				: 'לא',
-			invalidWidth	: 'רוחב תא חייב להיות מספר.',
-			invalidHeight	: 'גובה תא חייב להיות מספר.',
-			invalidRowSpan	: 'מתיחת שורות חייב להיות מספר שלם.',
-			invalidColSpan	: 'מתיחת עמודות חייב להיות מספר שלם.',
+			invalidWidth	: 'שדה רוחב התא חייב להיות מספר.',
+			invalidHeight	: 'שדה גובה התא חייב להיות מספר.',
+			invalidRowSpan	: 'שדה מתיחת השורות חייב להיות מספר שלם.',
+			invalidColSpan	: 'שדה מתיחת העמודות חייב להיות מספר שלם.',
 			chooseColor : 'בחר'
 		},
@@ -267,6 +267,6 @@
 		{
 			menu			: 'שורה',
-			insertBefore	: 'הוסף שורה לפני',
-			insertAfter		: 'הוסף שורה אחרי',
+			insertBefore	: 'הוספת שורה לפני',
+			insertAfter		: 'הוספת שורה אחרי',
 			deleteRow		: 'מחיקת שורות'
 		},
@@ -275,6 +275,6 @@
 		{
 			menu			: 'עמודה',
-			insertBefore	: 'הוסף עמודה לפני',
-			insertAfter		: 'הוסף עמודה אחרי',
+			insertBefore	: 'הוספת עמודה לפני',
+			insertAfter		: 'הוספת עמודה אחרי',
 			deleteColumn	: 'מחיקת עמודות'
 		}
@@ -288,6 +288,6 @@
 		type		: 'סוג',
 		typeBtn		: 'כפתור',
-		typeSbm		: 'שלח',
-		typeRst		: 'אפס'
+		typeSbm		: 'שליחה',
+		typeRst		: 'איפוס'
 	},
 
@@ -298,5 +298,5 @@
 		radioTitle	: 'מאפייני לחצן אפשרויות',
 		value		: 'ערך',
-		selected	: 'בחור'
+		selected	: 'מסומן'
 	},
 
@@ -326,13 +326,13 @@
 		size		: 'גודל',
 		lines		: 'שורות',
-		chkMulti	: 'אפשר בחירות מרובות',
+		chkMulti	: 'איפשור בחירות מרובות',
 		opText		: 'טקסט',
 		opValue		: 'ערך',
-		btnAdd		: 'הוסף',
-		btnModify	: 'שנה',
+		btnAdd		: 'הוספה',
+		btnModify	: 'שינוי',
 		btnUp		: 'למעלה',
 		btnDown		: 'למטה',
-		btnSetValue : 'קבע כברירת מחדל',
-		btnDelete	: 'מחק'
+		btnSetValue : 'קביעה כברירת מחדל',
+		btnDelete	: 'מחיקה'
 	},
 
@@ -340,5 +340,5 @@
 	textarea :
 	{
-		title		: 'מאפיני איזור טקסט',
+		title		: 'מאפייני איזור טקסט',
 		cols		: 'עמודות',
 		rows		: 'שורות'
@@ -369,5 +369,5 @@
 	image :
 	{
-		title		: 'תכונות התמונה',
+		title		: 'מאפייני התמונה',
 		titleButton	: 'מאפיני כפתור תמונה',
 		menu		: 'תכונות התמונה',
@@ -395,7 +395,7 @@
 		alignTop	: 'למעלה',
 		preview	: 'תצוגה מקדימה',
-		alertUrl	: 'נא להקליד את כתובת התמונה',
+		alertUrl	: 'יש להקליד את כתובת התמונה',
 		linkTab	: 'קישור',
-		button2Img	: 'האם להפוך את תמונת כפתור לתמונה פשוטה?',
+		button2Img	: 'האם להפוך את תמונת הכפתור לתמונה פשוטה?',
 		img2Button	: 'האם להפוך את התמונה לכפתור תמונה?',
 		urlMissing : 'כתובת התמונה חסרה.'
@@ -408,5 +408,5 @@
 		propertiesTab	: 'מאפיינים',
 		title		: 'מאפיני פלאש',
-		chkPlay		: 'נגן אוטומטי',
+		chkPlay		: 'ניגון אוטומטי',
 		chkLoop		: 'לולאה',
 		chkMenu		: 'אפשר תפריט פלאש',
@@ -433,8 +433,8 @@
 		qualityBest		 : 'מעולה',
 		qualityHigh		 : 'גבוהה',
-		qualityAutoHigh	 : 'אוטומטית גבוהה',
+		qualityAutoHigh	 : 'גבוהה אוטומטית',
 		qualityMedium	 : 'ממוצעת',
-		qualityAutoLow	 : 'אוטומטית נמוך',
-		qualityLow		 : 'נמוך',
+		qualityAutoLow	 : 'נמוכה אוטומטית',
+		qualityLow		 : 'נמוכה',
 		windowModeWindow	 : 'חלון',
 		windowModeOpaque	 : 'אטום',
@@ -447,9 +447,9 @@
 		hSpace	: 'מרווח אופקי',
 		vSpace	: 'מרווח אנכי',
-		validateSrc : 'נא להקליד את כתובת הקישור (URL)',
-		validateWidth : 'רוחב חייב להיות מספר.',
-		validateHeight : 'גובהה חייב להיות מספר.',
-		validateHSpace : 'ריווח אופקי חייב להיות מספר.',
-		validateVSpace : 'ריווח אנחי חייב להיות מספר.'
+		validateSrc : 'יש להקליד את כתובת סרטון הפלאש (URL)',
+		validateWidth : 'הרוחב חייב להיות מספר.',
+		validateHeight : 'הגובה חייב להיות מספר.',
+		validateHSpace : 'המרווח האופקי חייב להיות מספר.',
+		validateVSpace : 'המרווח האנכי חייב להיות מספר.'
 	},
 
@@ -459,20 +459,20 @@
 		toolbar			: 'בדיקת איות',
 		title			: 'בדיקת איות',
-		notAvailable	: 'מצטערים לא נמצא שירות זמין.',
-		errorLoading	: 'שגיעה בהעלאת שירת אפליקציה: %s.',
+		notAvailable	: 'לא נמצא שירות זמין.',
+		errorLoading	: 'שגיאה בהעלאת השירות: %s.',
 		notInDic		: 'לא נמצא במילון',
-		changeTo		: 'שנה ל',
-		btnIgnore		: 'התעלם',
-		btnIgnoreAll	: 'התעלם מהכל',
-		btnReplace		: 'החלף',
-		btnReplaceAll	: 'החלף הכל',
-		btnUndo			: 'החזר',
+		changeTo		: 'שינוי ל',
+		btnIgnore		: 'התעלמות',
+		btnIgnoreAll	: 'התעלמות מהכל',
+		btnReplace		: 'החלפה',
+		btnReplaceAll	: 'החלפת הכל',
+		btnUndo			: 'החזרה',
 		noSuggestions	: '- אין הצעות -',
-		progress		: 'בדיקות איות בתהליך ....',
-		noMispell		: 'בדיקות איות הסתיימה: לא נמצאו שגיעות כתיב',
+		progress		: 'בודק האיות בתהליך בדיקה....',
+		noMispell		: 'בדיקות איות הסתיימה: לא נמצאו שגיאות כתיב',
 		noChanges		: 'בדיקות איות הסתיימה: לא שונתה אף מילה',
 		oneChange		: 'בדיקות איות הסתיימה: שונתה מילה אחת',
 		manyChanges		: 'בדיקות איות הסתיימה: %1 מילים שונו',
-		ieSpellDownload	: 'בודק האיות לא מותקן, האם אתה מעוניין להוריד?'
+		ieSpellDownload	: 'בודק האיות לא מותקן, האם להורידו?'
 	},
 
@@ -490,6 +490,6 @@
 	numberedlist : 'רשימה ממוספרת',
 	bulletedlist : 'רשימת נקודות',
-	indent : 'הגדלת אינדנטציה',
-	outdent : 'הקטנת אינדנטציה',
+	indent : 'הגדלת הזחה',
+	outdent : 'הקטנת הזחה',
 
 	justify :
@@ -506,17 +506,17 @@
 	{
 		title		: 'הדבקה',
-		cutError	: 'הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות גזירה  אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+X).',
+		cutError	: 'הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות גזירה אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+X).',
 		copyError	: 'הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות העתקה אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+C).',
-		pasteMsg	: 'אנא הדבק בתוך הקופסה באמצעות  (<STRONG>Ctrl+V</STRONG>) ולחץ על  <STRONG>אישור</STRONG>.',
-		securityMsg	: 'עקב הגדרות אבטחה בדפדפן, לא ניתן לגשת אל לוח הגזירים (clipboard) בצורה ישירה.אנא בצע הדבק שוב בחלון זה.'
+		pasteMsg	: 'נא להדביק בתוך הקופסה באמצעות (<STRONG>Ctrl+V</STRONG>) וללחוץ על <STRONG>אישור</STRONG>.',
+		securityMsg	: 'עקב הגדרות אבטחה בדפדפן, לא ניתן לגשת אל לוח הגזירים (Clipboard) בצורה ישירה. נא להדביק שוב בחלון זה.'
 	},
 
 	pastefromword :
 	{
-		toolbar : 'הדבקה מ-וורד',
-		title : 'הדבקה מ-וורד',
-		advice : 'אנא הדבק בתוך הקופסה באמצעות  (<STRONG>Ctrl+V</STRONG>) ולחץ על  <STRONG>אישור</STRONG>.',
-		ignoreFontFace : 'התעלם מהגדרות סוג פונט',
-		removeStyle : 'הסר הגדרות סגנון'
+		toolbar : 'הדבקה מ-Word',
+		title : 'הדבקה מ-Word',
+		advice : 'נא להדביק בתוך הקופסה באמצעות (<STRONG>Ctrl+V</STRONG>) ולחץ על <STRONG>אישור</STRONG>.',
+		ignoreFontFace : 'התעלמות מהגדרות סוג פונט',
+		removeStyle : 'הסרת הגדרות סגנון'
 	},
 
@@ -532,9 +532,9 @@
 		title : 'תביות תוכן',
 		insertOption: 'החלפת תוכן ממשי',
-		selectPromptMsg: 'אנא בחר תבנית לפתיחה בעורך <BR>התוכן המקורי ימחק:',
+		selectPromptMsg: 'יש לבחור תבנית לפתיחה בעורך.<br />התוכן המקורי ימחק:',
 		emptyListMsg : '(לא הוגדרו תבניות)'
 	},
 
-	showBlocks : 'הצג בלוקים',
+	showBlocks : 'הצגת בלוקים',
 
 	stylesCombo :
@@ -542,6 +542,6 @@
 		label : 'סגנון',
 		voiceLabel : 'סגנונות',
-		panelVoiceLabel : 'בחר סגנון',
-		panelTitle1 : 'סיגנונות בלוק',
+		panelVoiceLabel : 'בחירת סגנון',
+		panelTitle1 : 'סגנונות בלוק',
 		panelTitle2 : 'סגנונות רצף',
 		panelTitle3 : 'סגנונות אובייקט'
@@ -553,5 +553,5 @@
 		voiceLabel : 'עיצוב',
 		panelTitle : 'עיצוב',
-		panelVoiceLabel : 'בחר פיסקת עיצוב',
+		panelVoiceLabel : 'בחירת עיצוב פסקה',
 
 		tag_p : 'נורמלי',
@@ -572,5 +572,5 @@
 		voiceLabel : 'גופן',
 		panelTitle : 'גופן',
-		panelVoiceLabel : 'בחר גופן'
+		panelVoiceLabel : 'בחירת גופן'
 	},
 
@@ -578,7 +578,7 @@
 	{
 		label : 'גודל',
-		voiceLabel : 'גודל גופן',
+		voiceLabel : 'גודל',
 		panelTitle : 'גודל',
-		panelVoiceLabel : 'בחר גודל גופן'
+		panelVoiceLabel : 'בחירת גודל גופן'
 	},
 
@@ -637,5 +637,5 @@
 	scayt :
 	{
-		title : 'בדיקת איות בזמן כתיבה',
+		title : 'בדיקת איות בזמן כתיבה (SCAYT)',
 		enable : 'אפשר SCAYT',
 		disable : 'בטל SCAYT',
@@ -644,9 +644,9 @@
 		options : 'אפשרויות',
 		langs : 'שפות',
-		moreSuggestions : 'עוד הצעות',
-		ignore : 'התעלם',
-		ignoreAll : 'התעלם מהכל',
-		addWord : 'הודף מילה',
-		emptyDic : 'אסור לשם המילון להיות ריק.',
+		moreSuggestions : 'הצעות נוספות',
+		ignore : 'התעלמות',
+		ignoreAll : 'התעלמות מהכל',
+		addWord : 'הוספת מילה',
+		emptyDic : 'יש לבחור מילון.',
 		optionsTab : 'אפשרויות',
 		languagesTab : 'שפות',
@@ -659,9 +659,9 @@
 		title : 'אודות CKEditor',
 		dlgTitle : 'אודות CKEditor',
-		moreInfo : 'לרישוי אנה בקרו באתר שלנו:',
+		moreInfo : 'למידע נוסף בקרו באתרנו:',
 		copy : 'Copyright &copy; $1. כל הזכויות שמורות.'
 	},
 
-	maximize : 'להגדיל למקסימום',
+	maximize : 'הגדל למקסימום',
 	minimize : 'הקטן למינימום',
 
@@ -669,20 +669,20 @@
 	{
 		anchor : 'עוגן',
-		flash : 'אנימצית פלאש',
+		flash : 'סרטון פלאש',
 		div : 'שבירת דף',
 		unknown : 'אובייקט לא ידוע'
 	},
 
-	resize : 'גרור בכדי לשנות גודל',
+	resize : 'יש לגרור בכדי לשנות את הגודל',
 
 	colordialog :
 	{
-		title : 'בחר צבע',
-		highlight : 'סמן',
-		selected : 'נבחר',
-		clear : 'נקה'
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title : 'בחירת צבע',
+		highlight : 'סימון',
+		selected : 'בחירה',
+		clear : 'ניקוי'
+	},
+
+	toolbarCollapse : 'מזעור סרגל כלים',
+	toolbarExpand : 'הרחבת סרגל כלים'
 };