Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 4656)
+++ CKEditor/trunk/CHANGES.html	(revision 4657)
@@ -95,5 +95,6 @@
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.fckeditor.net/ticket/4346">#4346</a> : Dutch;</li>
-			<li><a href="http://dev.fckeditor.net/ticket/4371">#4371</a> : Hebrew.</li>
+			<li><a href="http://dev.fckeditor.net/ticket/4371">#4371</a> : Hebrew;</li>
+			<li><a href="http://dev.fckeditor.net/ticket/4660">#4660</a> : Norwegian.</li>
 		</ul></li>
 	</ul>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4656)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4657)
@@ -39,7 +39,7 @@
 mn.js      Found: 326 Missing: 118
 ms.js      Found: 287 Missing: 157
-nb.js      Found: 325 Missing: 119
+nb.js      Found: 442 Missing: 2
 nl.js      Found: 442 Missing: 2
-no.js      Found: 325 Missing: 119
+no.js      Found: 442 Missing: 2
 pl.js      Found: 442 Missing: 2
 pt-br.js   Found: 434 Missing: 10
Index: CKEditor/trunk/_source/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/lang/nb.js	(revision 4656)
+++ CKEditor/trunk/_source/lang/nb.js	(revision 4657)
@@ -32,5 +32,5 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle		: 'Rikteksteditor, %1',
 
 	// Toolbar buttons without dialogs.
@@ -91,10 +91,10 @@
 		generalTab		: 'Generelt',
 		advancedTab		: 'Avansert',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
-		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		validateNumberFailed	: 'Denne verdien er ikke ett nummer',
+		confirmNewPage	: 'Alle endringer som er gjort i dette innholdet vil bli tapt. Er du sikker på at du vil laste en ny side?',
+		confirmCancel	: 'Noen av valgene har blitt endret. Er du sikker på at du vil lukke dialogen?',
 
 		// Put the voice-only part of the label in the span.
-		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+		unavailable		: '%1<span class="cke_accessibility">, utilgjenglig</span>'
 	},
 
@@ -130,5 +130,5 @@
 		targetPopupName	: 'Navn på popup-vindus',
 		popupFeatures	: 'Egenskaper for popup-vindu',
-		popupResizable	: 'Resizable', // MISSING
+		popupResizable	: 'Skalérbar',
 		popupStatusBar	: 'Statuslinje',
 		popupLocationBar	: 'Adresselinje',
@@ -142,5 +142,5 @@
 		popupHeight		: 'Høyde',
 		popupTop		: 'Topp-posisjon',
-		id				: 'Id', // MISSING
+		id				: 'Id',
 		langDir			: 'Språkretning',
 		langDirNotSet	: '<ikke satt>',
@@ -188,7 +188,7 @@
 		matchCase			: 'Skill mellom store og små bokstaver',
 		matchWord			: 'Bare hele ord',
-		matchCyclic			: 'Match cyclic', // MISSING
+		matchCyclic			: 'Søk i hele dokumentet',
 		replaceAll			: 'Erstatt alle',
-		replaceSuccessMsg	: '%1 occurrence(s) replaced.' // MISSING
+		replaceSuccessMsg	: '%1 tilfelle erstattet.'
 	},
 
@@ -216,16 +216,16 @@
 		caption		: 'Tittel',
 		summary		: 'Sammendrag',
-		headers		: 'Headers', // MISSING
-		headersNone		: 'None', // MISSING
-		headersColumn	: 'First column', // MISSING
-		headersRow		: 'First Row', // MISSING
-		headersBoth		: 'Both', // MISSING
-		invalidRows		: 'Number of rows must be a number greater than 0.', // MISSING
-		invalidCols		: 'Number of columns must be a number greater than 0.', // MISSING
-		invalidBorder	: 'Border size must be a number.', // MISSING
-		invalidWidth	: 'Table width must be a number.', // MISSING
-		invalidHeight	: 'Table height must be a number.', // MISSING
-		invalidCellSpacing	: 'Cell spacing must be a number.', // MISSING
-		invalidCellPadding	: 'Cell padding must be a number.', // MISSING
+		headers		: 'Overskrifter',
+		headersNone		: 'Ingen',
+		headersColumn	: 'Første kolonne',
+		headersRow		: 'Første rad',
+		headersBoth		: 'Begge',
+		invalidRows		: 'Antall rader må være ett tall større enn 0.',
+		invalidCols		: 'Antall kolonner må være ett tall større enn 0.',
+		invalidBorder	: 'Rammestørrelse må være ett tall.',
+		invalidWidth	: 'Tabellbredde må være ett nummer.',
+		invalidHeight	: 'Tabellhøyde må være ett nummer.',
+		invalidCellSpacing	: 'Cellemellomrom må være ett nummer.',
+		invalidCellPadding	: 'Cellefyll må være ett nummer.',
 
 		cell :
@@ -240,26 +240,26 @@
 			splitHorizontal	: 'Del celle horisontalt',
 			splitVertical	: 'Del celle vertikalt',
-			title			: 'Cell Properties', // MISSING
-			cellType		: 'Cell Type', // MISSING
-			rowSpan			: 'Rows Span', // MISSING
-			colSpan			: 'Columns Span', // MISSING
-			wordWrap		: 'Word Wrap', // MISSING
-			hAlign			: 'Horizontal Alignment', // MISSING
-			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
-			alignBaseline	: 'Baseline', // MISSING
-			bgColor			: 'Background Color', // MISSING
-			borderColor		: 'Border Color', // MISSING
-			data			: 'Data', // MISSING
-			header			: 'Header', // MISSING
-			yes				: 'Yes', // MISSING
-			no				: 'No', // MISSING
-			invalidWidth	: 'Cell width must be a number.', // MISSING
-			invalidHeight	: 'Cell height must be a number.', // MISSING
-			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
-			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			title			: 'Celleegenskaper',
+			cellType		: 'Celletype',
+			rowSpan			: 'Radspenn',
+			colSpan			: 'Kolonnespenn',
+			wordWrap		: 'Tekstbrytning',
+			hAlign			: 'Horisontal justering',
+			vAlign			: 'Vertikal justering',
+			alignTop		: 'Topp',
+			alignMiddle		: 'Midten',
+			alignBottom		: 'Bunnen',
+			alignBaseline	: 'Grunnlinje',
+			bgColor			: 'Bakgrunnsfarge',
+			borderColor		: 'Rammefarge',
+			data			: 'Data',
+			header			: 'Overskrift',
+			yes				: 'Ja',
+			no				: 'Nei',
+			invalidWidth	: 'Cellebredde må være ett nummer',
+			invalidHeight	: 'Cellehøyde må være ett nummer',
+			invalidRowSpan	: 'Radspenn må være ett nummer.',
+			invalidColSpan	: 'Kolonnespenn må være ett nummer.',
+			chooseColor : 'Velg'
 		},
 
@@ -308,5 +308,5 @@
 		action		: 'Handling',
 		method		: 'Metode',
-		encoding	: 'Encoding', // MISSING
+		encoding	: 'Encoding',
 		target		: 'Mål',
 		targetNotSet	: '<ikke satt>',
@@ -397,7 +397,7 @@
 		alertUrl	: 'Vennligst skriv bilde-urlen',
 		linkTab	: 'Lenke',
-		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
-		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		button2Img	: 'Vil du endre den valgte bildeknappen til ett vanlig bilde?',
+		img2Button	: 'Vil du endre det valgte bildet til en bildeknapp?',
+		urlMissing : 'Bildets adresse mangler.'
 	},
 
@@ -406,18 +406,18 @@
 	{
 		properties		: 'Egenskaper for Flash-objekt',
-		propertiesTab	: 'Properties', // MISSING
+		propertiesTab	: 'Egenskaper',
 		title		: 'Flash-egenskaper',
 		chkPlay		: 'Autospill',
 		chkLoop		: 'Loop',
 		chkMenu		: 'Slå på Flash-meny',
-		chkFull		: 'Allow Fullscreen', // MISSING
+		chkFull		: 'Tillat fullskjerm',
  		scale		: 'Skaler',
 		scaleAll		: 'Vis alt',
 		scaleNoBorder	: 'Ingen ramme',
 		scaleFit		: 'Skaler til å passe',
-		access			: 'Script Access', // MISSING
-		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
+		access			: 'Scripttilgang',
+		accessAlways	: 'Alltid',
+		accessSameDomain	: 'Samme domene',
+		accessNever	: 'Aldri',
 		align		: 'Juster',
 		alignLeft	: 'Venstre',
@@ -430,16 +430,16 @@
 		alignTextTop	: 'Tekst topp',
 		alignTop	: 'Topp',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
+		quality		: 'Kvalitet',
+		qualityBest		 : 'Best',
+		qualityHigh		 : 'Høy',
+		qualityAutoHigh	 : 'Auto Høy',
+		qualityMedium	 : 'Medium',
+		qualityAutoLow	 : 'Auto Lav',
+		qualityLow		 : 'Lav',
+		windowModeWindow	 : 'Vindu',
+		windowModeOpaque	 : 'Opaque',
+		windowModeTransparent	 : 'Gjennomsiktig',
+		windowMode	: 'Vindu modus',
+		flashvars	: 'Variabler for flash',
 		bgcolor	: 'Bakgrunnsfarge',
 		width	: 'Bredde',
@@ -448,8 +448,8 @@
 		vSpace	: 'VMarg',
 		validateSrc : 'Vennligst skriv inn lenkens url',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		validateWidth : 'Bredde må være ett nummer.',
+		validateHeight : 'Høyde må være ett nummer',
+		validateHSpace : 'HSpace må være ett nummer.',
+		validateVSpace : 'VSpace må være ett nummer.'
 	},
 
@@ -458,7 +458,7 @@
 	{
 		toolbar			: 'Stavekontroll',
-		title			: 'Spell Check', // MISSING
-		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
-		errorLoading	: 'Error loading application service host: %s.', // MISSING
+		title			: 'Stavekontroll',
+		notAvailable	: 'Beklager, tjenesten er utilgjenglig nå.',
+		errorLoading	: 'Feil under lasting av applicationstjeneste tjener: %s.',
 		notInDic		: 'Ikke i ordboken',
 		changeTo		: 'Endre til',
@@ -485,5 +485,5 @@
 	elementsPath :
 	{
-		eleTitle : '%1 element' // MISSING
+		eleTitle : '%1 element'
 	},
 
@@ -501,5 +501,5 @@
 	},
 
-	blockquote : 'Blockquote', // MISSING
+	blockquote : 'Blockquote',
 
 	clipboard :
@@ -536,14 +536,14 @@
 	},
 
-	showBlocks : 'Show Blocks', // MISSING
+	showBlocks : 'Vis blokker',
 
 	stylesCombo :
 	{
 		label : 'Stil',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		voiceLabel : 'Stiler',
+		panelVoiceLabel : 'Velg en stil',
+		panelTitle1 : 'Blokkstiler',
+		panelTitle2 : 'Inlinestiler',
+		panelTitle3 : 'Objektstiler'
 	},
 
@@ -551,7 +551,7 @@
 	{
 		label : 'Format',
-		voiceLabel : 'Format', // MISSING
+		voiceLabel : 'Format',
 		panelTitle : 'Format',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
+		panelVoiceLabel : 'Vel ett paragrafformat',
 
 		tag_p : 'Normal',
@@ -570,7 +570,7 @@
 	{
 		label : 'Skrift',
-		voiceLabel : 'Font', // MISSING
+		voiceLabel : 'Font',
 		panelTitle : 'Skrift',
-		panelVoiceLabel : 'Select a font' // MISSING
+		panelVoiceLabel : 'Velg en font'
 	},
 
@@ -578,7 +578,7 @@
 	{
 		label : 'Størrelse',
-		voiceLabel : 'Font Size', // MISSING
+		voiceLabel : 'Font Størrelse',
 		panelTitle : 'Størrelse',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		panelVoiceLabel : 'Velg en fontstørrelse'
 	},
 
@@ -637,49 +637,49 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title : 'Stavekontroll mens du skriver',
+		enable : 'Slå på SCAYT',
+		disable : 'Slå av SCAYT',
+		about : 'Om SCAYT',
+		toggle : 'Veksle SCAYT',
+		options : 'Valg',
+		langs : 'Språk',
+		moreSuggestions : 'Flere forslag',
+		ignore : 'Ignorer',
+		ignoreAll : 'Ignorer Alle',
+		addWord : 'Legg til ord',
+		emptyDic : 'Ordboknavn skal ikke være tom',
+		optionsTab : 'Valg',
+		languagesTab : 'Språk',
+		dictionariesTab : 'Ordbøker',
+		aboutTab : 'Om'
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
-	},
-
-	maximize : 'Maximize', // MISSING
-	minimize : 'Minimize', // MISSING
+		title : 'Om CKEditor',
+		dlgTitle : 'Om CKEditor',
+		moreInfo : 'For lisensieringsinformasjon vennligst besøk vårt nettsted:',
+		copy : 'Copyright &copy; $1. Alle rettigheter reservert.'
+	},
+
+	maximize : 'Maksimer',
+	minimize : 'Minimer',
 
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
-	},
-
-	resize : 'Drag to resize', // MISSING
+		anchor : 'Anker',
+		flash : 'Flash Animasjon',
+		div : 'Sideskift',
+		unknown : 'Ukjent objekt'
+	},
+
+	resize : 'Dra for å skalere',
 
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
+		title : 'Velg farge',
+		highlight : 'Merk',
+		selected : 'Valgt',
+		clear : 'Tøm'
 	},
 
Index: CKEditor/trunk/_source/lang/no.js
===================================================================
--- CKEditor/trunk/_source/lang/no.js	(revision 4656)
+++ CKEditor/trunk/_source/lang/no.js	(revision 4657)
@@ -32,5 +32,5 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle		: 'Rikteksteditor, %1',
 
 	// Toolbar buttons without dialogs.
@@ -91,10 +91,10 @@
 		generalTab		: 'Generelt',
 		advancedTab		: 'Avansert',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
-		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		validateNumberFailed	: 'Denne verdien er ikke ett nummer',
+		confirmNewPage	: 'Alle endringer som er gjort i dette innholdet vil bli tapt. Er du sikker på at du vil laste en ny side?',
+		confirmCancel	: 'Noen av valgene har blitt endret. Er du sikker på at du vil lukke dialogen?',
 
 		// Put the voice-only part of the label in the span.
-		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+		unavailable		: '%1<span class="cke_accessibility">, utilgjenglig</span>'
 	},
 
@@ -130,5 +130,5 @@
 		targetPopupName	: 'Navn på popup-vindus',
 		popupFeatures	: 'Egenskaper for popup-vindu',
-		popupResizable	: 'Resizable', // MISSING
+		popupResizable	: 'Skalérbar',
 		popupStatusBar	: 'Statuslinje',
 		popupLocationBar	: 'Adresselinje',
@@ -142,5 +142,5 @@
 		popupHeight		: 'Høyde',
 		popupTop		: 'Topp-posisjon',
-		id				: 'Id', // MISSING
+		id				: 'Id',
 		langDir			: 'Språkretning',
 		langDirNotSet	: '<ikke satt>',
@@ -188,7 +188,7 @@
 		matchCase			: 'Skill mellom store og små bokstaver',
 		matchWord			: 'Bare hele ord',
-		matchCyclic			: 'Match cyclic', // MISSING
+		matchCyclic			: 'Søk i hele dokumentet',
 		replaceAll			: 'Erstatt alle',
-		replaceSuccessMsg	: '%1 occurrence(s) replaced.' // MISSING
+		replaceSuccessMsg	: '%1 tilfelle erstattet.'
 	},
 
@@ -216,16 +216,16 @@
 		caption		: 'Tittel',
 		summary		: 'Sammendrag',
-		headers		: 'Headers', // MISSING
-		headersNone		: 'None', // MISSING
-		headersColumn	: 'First column', // MISSING
-		headersRow		: 'First Row', // MISSING
-		headersBoth		: 'Both', // MISSING
-		invalidRows		: 'Number of rows must be a number greater than 0.', // MISSING
-		invalidCols		: 'Number of columns must be a number greater than 0.', // MISSING
-		invalidBorder	: 'Border size must be a number.', // MISSING
-		invalidWidth	: 'Table width must be a number.', // MISSING
-		invalidHeight	: 'Table height must be a number.', // MISSING
-		invalidCellSpacing	: 'Cell spacing must be a number.', // MISSING
-		invalidCellPadding	: 'Cell padding must be a number.', // MISSING
+		headers		: 'Overskrifter',
+		headersNone		: 'Ingen',
+		headersColumn	: 'Første kolonne',
+		headersRow		: 'Første rad',
+		headersBoth		: 'Begge',
+		invalidRows		: 'Antall rader må være ett tall større enn 0.',
+		invalidCols		: 'Antall kolonner må være ett tall større enn 0.',
+		invalidBorder	: 'Rammestørrelse må være ett tall.',
+		invalidWidth	: 'Tabellbredde må være ett nummer.',
+		invalidHeight	: 'Tabellhøyde må være ett nummer.',
+		invalidCellSpacing	: 'Cellemellomrom må være ett nummer.',
+		invalidCellPadding	: 'Cellefyll må være ett nummer.',
 
 		cell :
@@ -240,26 +240,26 @@
 			splitHorizontal	: 'Del celle horisontalt',
 			splitVertical	: 'Del celle vertikalt',
-			title			: 'Cell Properties', // MISSING
-			cellType		: 'Cell Type', // MISSING
-			rowSpan			: 'Rows Span', // MISSING
-			colSpan			: 'Columns Span', // MISSING
-			wordWrap		: 'Word Wrap', // MISSING
-			hAlign			: 'Horizontal Alignment', // MISSING
-			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
-			alignBaseline	: 'Baseline', // MISSING
-			bgColor			: 'Background Color', // MISSING
-			borderColor		: 'Border Color', // MISSING
-			data			: 'Data', // MISSING
-			header			: 'Header', // MISSING
-			yes				: 'Yes', // MISSING
-			no				: 'No', // MISSING
-			invalidWidth	: 'Cell width must be a number.', // MISSING
-			invalidHeight	: 'Cell height must be a number.', // MISSING
-			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
-			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			title			: 'Celleegenskaper',
+			cellType		: 'Celletype',
+			rowSpan			: 'Radspenn',
+			colSpan			: 'Kolonnespenn',
+			wordWrap		: 'Tekstbrytning',
+			hAlign			: 'Horisontal justering',
+			vAlign			: 'Vertikal justering',
+			alignTop		: 'Topp',
+			alignMiddle		: 'Midten',
+			alignBottom		: 'Bunnen',
+			alignBaseline	: 'Grunnlinje',
+			bgColor			: 'Bakgrunnsfarge',
+			borderColor		: 'Rammefarge',
+			data			: 'Data',
+			header			: 'Overskrift',
+			yes				: 'Ja',
+			no				: 'Nei',
+			invalidWidth	: 'Cellebredde må være ett nummer',
+			invalidHeight	: 'Cellehøyde må være ett nummer',
+			invalidRowSpan	: 'Radspenn må være ett nummer.',
+			invalidColSpan	: 'Kolonnespenn må være ett nummer.',
+			chooseColor : 'Velg'
 		},
 
@@ -308,5 +308,5 @@
 		action		: 'Handling',
 		method		: 'Metode',
-		encoding	: 'Encoding', // MISSING
+		encoding	: 'Encoding',
 		target		: 'Mål',
 		targetNotSet	: '<ikke satt>',
@@ -397,7 +397,7 @@
 		alertUrl	: 'Vennligst skriv bilde-urlen',
 		linkTab	: 'Lenke',
-		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
-		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		button2Img	: 'Vil du endre den valgte bildeknappen til ett vanlig bilde?',
+		img2Button	: 'Vil du endre det valgte bildet til en bildeknapp?',
+		urlMissing : 'Bildets adresse mangler.'
 	},
 
@@ -406,18 +406,18 @@
 	{
 		properties		: 'Egenskaper for Flash-objekt',
-		propertiesTab	: 'Properties', // MISSING
+		propertiesTab	: 'Egenskaper',
 		title		: 'Flash-egenskaper',
 		chkPlay		: 'Autospill',
 		chkLoop		: 'Loop',
 		chkMenu		: 'Slå på Flash-meny',
-		chkFull		: 'Allow Fullscreen', // MISSING
+		chkFull		: 'Tillat fullskjerm',
  		scale		: 'Skaler',
 		scaleAll		: 'Vis alt',
 		scaleNoBorder	: 'Ingen ramme',
 		scaleFit		: 'Skaler til å passe',
-		access			: 'Script Access', // MISSING
-		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
+		access			: 'Scripttilgang',
+		accessAlways	: 'Alltid',
+		accessSameDomain	: 'Samme domene',
+		accessNever	: 'Aldri',
 		align		: 'Juster',
 		alignLeft	: 'Venstre',
@@ -430,16 +430,16 @@
 		alignTextTop	: 'Tekst topp',
 		alignTop	: 'Topp',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
+		quality		: 'Kvalitet',
+		qualityBest		 : 'Best',
+		qualityHigh		 : 'Høy',
+		qualityAutoHigh	 : 'Auto Høy',
+		qualityMedium	 : 'Medium',
+		qualityAutoLow	 : 'Auto Lav',
+		qualityLow		 : 'Lav',
+		windowModeWindow	 : 'Vindu',
+		windowModeOpaque	 : 'Opaque',
+		windowModeTransparent	 : 'Gjennomsiktig',
+		windowMode	: 'Vindu modus',
+		flashvars	: 'Variabler for flash',
 		bgcolor	: 'Bakgrunnsfarge',
 		width	: 'Bredde',
@@ -448,8 +448,8 @@
 		vSpace	: 'VMarg',
 		validateSrc : 'Vennligst skriv inn lenkens url',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		validateWidth : 'Bredde må være ett nummer.',
+		validateHeight : 'Høyde må være ett nummer',
+		validateHSpace : 'HSpace må være ett nummer.',
+		validateVSpace : 'VSpace må være ett nummer.'
 	},
 
@@ -458,7 +458,7 @@
 	{
 		toolbar			: 'Stavekontroll',
-		title			: 'Spell Check', // MISSING
-		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
-		errorLoading	: 'Error loading application service host: %s.', // MISSING
+		title			: 'Stavekontroll',
+		notAvailable	: 'Beklager, tjenesten er utilgjenglig nå.',
+		errorLoading	: 'Feil under lasting av applicationstjeneste tjener: %s.',
 		notInDic		: 'Ikke i ordboken',
 		changeTo		: 'Endre til',
@@ -485,5 +485,5 @@
 	elementsPath :
 	{
-		eleTitle : '%1 element' // MISSING
+		eleTitle : '%1 element'
 	},
 
@@ -501,5 +501,5 @@
 	},
 
-	blockquote : 'Blockquote', // MISSING
+	blockquote : 'Blockquote',
 
 	clipboard :
@@ -536,14 +536,14 @@
 	},
 
-	showBlocks : 'Show Blocks', // MISSING
+	showBlocks : 'Vis blokker',
 
 	stylesCombo :
 	{
 		label : 'Stil',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		voiceLabel : 'Stiler',
+		panelVoiceLabel : 'Velg en stil',
+		panelTitle1 : 'Blokkstiler',
+		panelTitle2 : 'Inlinestiler',
+		panelTitle3 : 'Objektstiler'
 	},
 
@@ -551,7 +551,7 @@
 	{
 		label : 'Format',
-		voiceLabel : 'Format', // MISSING
+		voiceLabel : 'Format',
 		panelTitle : 'Format',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
+		panelVoiceLabel : 'Vel ett paragrafformat',
 
 		tag_p : 'Normal',
@@ -570,7 +570,7 @@
 	{
 		label : 'Skrift',
-		voiceLabel : 'Font', // MISSING
+		voiceLabel : 'Font',
 		panelTitle : 'Skrift',
-		panelVoiceLabel : 'Select a font' // MISSING
+		panelVoiceLabel : 'Velg en font'
 	},
 
@@ -578,7 +578,7 @@
 	{
 		label : 'Størrelse',
-		voiceLabel : 'Font Size', // MISSING
+		voiceLabel : 'Font Størrelse',
 		panelTitle : 'Størrelse',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		panelVoiceLabel : 'Velg en fontstørrelse'
 	},
 
@@ -637,49 +637,49 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title : 'Stavekontroll mens du skriver',
+		enable : 'Slå på SCAYT',
+		disable : 'Slå av SCAYT',
+		about : 'Om SCAYT',
+		toggle : 'Veksle SCAYT',
+		options : 'Valg',
+		langs : 'Språk',
+		moreSuggestions : 'Flere forslag',
+		ignore : 'Ignorer',
+		ignoreAll : 'Ignorer Alle',
+		addWord : 'Legg til ord',
+		emptyDic : 'Ordboknavn skal ikke være tom',
+		optionsTab : 'Valg',
+		languagesTab : 'Språk',
+		dictionariesTab : 'Ordbøker',
+		aboutTab : 'Om'
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
-	},
-
-	maximize : 'Maximize', // MISSING
-	minimize : 'Minimize', // MISSING
+		title : 'Om CKEditor',
+		dlgTitle : 'Om CKEditor',
+		moreInfo : 'For lisensieringsinformasjon vennligst besøk vårt nettsted:',
+		copy : 'Copyright &copy; $1. Alle rettigheter reservert.'
+	},
+
+	maximize : 'Maksimer',
+	minimize : 'Minimer',
 
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
-	},
-
-	resize : 'Drag to resize', // MISSING
+		anchor : 'Anker',
+		flash : 'Flash Animasjon',
+		div : 'Sideskift',
+		unknown : 'Ukjent objekt'
+	},
+
+	resize : 'Dra for å skalere',
 
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
+		title : 'Velg farge',
+		highlight : 'Merk',
+		selected : 'Valgt',
+		clear : 'Tøm'
 	},
 