Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 4661)
+++ CKEditor/trunk/CHANGES.html	(revision 4662)
@@ -96,4 +96,5 @@
 			<li><a href="http://dev.fckeditor.net/ticket/4346">#4346</a> : Dutch;</li>
 			<li><a href="http://dev.fckeditor.net/ticket/4371">#4371</a> : Hebrew;</li>
+			<li><a href="http://dev.fckeditor.net/ticket/4371">#4607</a> <a href="http://dev.fckeditor.net/ticket/4713">#4713</a> : Japanese;</li>
 			<li><a href="http://dev.fckeditor.net/ticket/4660">#4660</a> : Norwegian.</li>
 		</ul></li>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4661)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 4662)
@@ -32,5 +32,5 @@
 is.js      Found: 332 Missing: 152
 it.js      Found: 434 Missing: 50
-ja.js      Found: 434 Missing: 50
+ja.js      Found: 444 Missing: 40
 km.js      Found: 299 Missing: 185
 ko.js      Found: 318 Missing: 166
Index: CKEditor/trunk/_source/lang/ja.js
===================================================================
--- CKEditor/trunk/_source/lang/ja.js	(revision 4661)
+++ CKEditor/trunk/_source/lang/ja.js	(revision 4662)
@@ -190,5 +190,5 @@
 		matchCyclic			: '大文字/小文字区別一致',
 		replaceAll			: 'すべて置換え',
-		replaceSuccessMsg	: '%1 に置換しました。'
+		replaceSuccessMsg	: '%1 個置換しました。'
 	},
 
@@ -203,17 +203,17 @@
 		columns		: '列',
 		border		: 'ボーダーサイズ',
-		align		: 'キャプションの整列',
+		align		: 'テーブルの整列',
 		alignNotSet	: '<なし>',
 		alignLeft	: '左',
 		alignCenter	: '中央',
 		alignRight	: '右',
-		width		: 'テーブル幅',
+		width		: '幅',
 		widthPx		: 'ピクセル',
 		widthPc		: 'パーセント',
-		height		: 'テーブル高さ',
+		height		: '高さ',
 		cellSpace	: 'セル内余白',
 		cellPad		: 'セル内間隔',
-		caption		: 'ｷｬﾌﾟｼｮﾝ',
-		summary		: 'テーブル目的/構造',
+		caption		: 'キャプション',
+		summary		: 'テーブルの概要',
 		headers		: 'テーブルヘッダ(th)',
 		headersNone		: 'なし',
@@ -224,6 +224,6 @@
 		invalidCols		: '列は0より大きな数値で入力してください。',
 		invalidBorder	: 'ボーダーサイズは数値で入力してください。',
-		invalidWidth	: 'テーブル幅は数値で入力してください。',
-		invalidHeight	: 'テーブル高さは数値で入力してください。',
+		invalidWidth	: '幅は数値で入力してください。',
+		invalidHeight	: '高さは数値で入力してください。',
 		invalidCellSpacing	: 'セル内余白は数値で入力してください。',
 		invalidCellPadding	: 'セル内間隔は数値で入力してください。',
@@ -261,5 +261,5 @@
 			invalidRowSpan	: '縦幅(行数)は数値で入力してください。',
 			invalidColSpan	: '横幅(列数)は数値で入力してください。',
-			chooseColor : 'Choose' // MISSING
+			chooseColor : '色の選択'
 		},
 
@@ -267,6 +267,6 @@
 		{
 			menu			: '行',
-			insertBefore	: '列の前に挿入',
-			insertAfter		: '列の後に挿入',
+			insertBefore	: '行の前に挿入',
+			insertAfter		: '行の後に挿入',
 			deleteRow		: '行削除'
 		},
@@ -399,5 +399,5 @@
 		button2Img	: '選択したボタンを画像に置き換えますか？',
 		img2Button	: '選択した画像をボタンに置き換えますか？',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing : 'イメージのURLを入力してください。'
 	},
 
@@ -644,5 +644,5 @@
 		options : 'オプション',
 		langs : '言語',
-		moreSuggestions : 'More suggestions', // MISSING
+		moreSuggestions : '他の候補',
 		ignore : '無視',
 		ignoreAll : 'すべて無視',
@@ -664,5 +664,5 @@
 
 	maximize : '最大化',
-	minimize : 'Minimize', // MISSING
+	minimize : '最小化',
 
 	fakeobjects :
@@ -674,15 +674,15 @@
 	},
 
-	resize : 'ドラックしてリサイズ',
+	resize : 'ドラッグしてリサイズ',
 
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title : '色選択',
+		highlight : 'ハイライト',
+		selected : '選択された色',
+		clear : 'クリア'
+	},
+
+	toolbarCollapse : 'ツールバーを閉じる',
+	toolbarExpand : 'ツールバーを開く'
 };