Index: CKEditor/trunk/_source/core/dom/element.js
===================================================================
--- CKEditor/trunk/_source/core/dom/element.js	(revision 4681)
+++ CKEditor/trunk/_source/core/dom/element.js	(revision 4682)
@@ -430,5 +430,5 @@
 								attrValue = attr.specified ? attr.nodeValue     // For value given by parser.
 															 : this.$.checked;  // For value created via DOM interface.
-							
+
 							return attrValue ? 'checked' : null;
 						}
Index: CKEditor/trunk/_source/core/tools.js
===================================================================
--- CKEditor/trunk/_source/core/tools.js	(revision 4681)
+++ CKEditor/trunk/_source/core/tools.js	(revision 4682)
@@ -282,5 +282,5 @@
 		 * Ref: http://www.w3.org/TR/css3-selectors/#grammar
 		 * @param cssSelectText
-		 * @return the escaped selector text. 
+		 * @return the escaped selector text.
 		 */
 		escapeCssSelector : function( cssSelectText )
Index: CKEditor/trunk/_source/plugins/contextmenu/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/contextmenu/plugin.js	(revision 4681)
+++ CKEditor/trunk/_source/plugins/contextmenu/plugin.js	(revision 4682)
@@ -226,4 +226,2 @@
  *  config.browserContextMenuOnCtrl = false;
  */
-
-
Index: CKEditor/trunk/_source/plugins/list/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/list/plugin.js	(revision 4681)
+++ CKEditor/trunk/_source/plugins/list/plugin.js	(revision 4682)
@@ -542,5 +542,5 @@
 	var dtd = CKEDITOR.dtd;
 	var tailNbspRegex = /[\t\r\n ]*(?:&nbsp;|\xa0)$/;
-	
+
 	function indexOfFirstChildElement( element, tagNameList )
 	{
Index: CKEditor/trunk/_source/plugins/toolbar/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/toolbar/plugin.js	(revision 4681)
+++ CKEditor/trunk/_source/plugins/toolbar/plugin.js	(revision 4682)
@@ -414,3 +414,2 @@
  * config.toolbarStartupExpanded = false;
  */
-
Index: CKEditor/trunk/_source/plugins/undo/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/undo/plugin.js	(revision 4681)
+++ CKEditor/trunk/_source/plugins/undo/plugin.js	(revision 4682)
@@ -131,5 +131,5 @@
 	}
 
-	// Attributes that browser may changing them when setting via innerHTML. 
+	// Attributes that browser may changing them when setting via innerHTML.
 	var protectedAttrs = /\b(?:href|src|name)="[^"]*?"/gi;
 
Index: CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 4681)
+++ CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 4682)
@@ -216,5 +216,5 @@
 		// All browsers are incapable to moving cursor out of certain non-exitable
 		// blocks (e.g. table, list, pre) at the end of document, make this happen by
-		// place a bogus node there, which would be later removed by dataprocessor.  
+		// place a bogus node there, which would be later removed by dataprocessor.
 		var lastNode = body.getLast( CKEDITOR.dom.walker.whitespaces( true ) );
 		if ( lastNode && lastNode.getName && ( lastNode.getName() in nonExitableElementNames ) )
@@ -425,5 +425,5 @@
 								// Setting focus directly on editor doesn't work, we
 								// have to use here a temporary element to 'redirect'
-								// the focus. 
+								// the focus.
 								if ( evt.data.getTarget().equals( htmlElement ) )
 									ieFocusGrabber.focus();
Index: CKEditor/trunk/_source/skins/office2003/dialog.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/dialog.css	(revision 4681)
+++ CKEditor/trunk/_source/skins/office2003/dialog.css	(revision 4682)
@@ -24,5 +24,5 @@
 	z-index: 1;
 
-	/* 'cke_dialog' element has been fixed positioned in all but IE6, while we 
+	/* 'cke_dialog' element has been fixed positioned in all but IE6, while we
 		need it to be positioned to hold e.g. close button. */
 	position: relative;
Index: CKEditor/trunk/_source/skins/v2/dialog.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/dialog.css	(revision 4681)
+++ CKEditor/trunk/_source/skins/v2/dialog.css	(revision 4682)
@@ -28,5 +28,5 @@
 	position: relative;
 	_position: static;
-	
+
 }
 